InboxReply to a conversation

Reply to a conversation

Replies to the latest message on the thread with the full history quoted. Recipient defaults to the sender of the latest inbound message (else the thread's counterparty). Billed like POST /v1/send.

curl -X POST "https://api.supasend.io/v1/inbox/threads/507f1f77bcf86cd799439011/reply" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "body_html": "example_string",
  "body_text": "example_string",
  "to": "user@example.com",
  "subject": "example_string",
  "ip_id": "example_string",
  "quote_history": true,
  "quote_timezone": "America/New_York",
  "headers": {},
  "scheduled_at": "2024-12-25T10:00:00Z"
}'
{
  "id": "example_string",
  "status": "queued",
  "thread_id": "example_string",
  "message_id": "example_string",
  "in_reply_to": "example_string",
  "references": [
    "example_string"
  ],
  "subject": "example_string",
  "to": "example_string",
  "scheduled_at": "2024-12-25T10:00:00Z"
}
POST
/v1/inbox/threads/{id}/reply
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key in the format sk_live_<64 hex characters>

API key in the format sk_live_<64 hex characters>
path
idstring
Required

MongoDB ObjectID

Content-Typestring
Required

The media type of the request body

Options: application/json
body_htmlstring

New content only — the quoted conversation is appended for you

tostring

Override recipient (default — Reply-To / From of the message being answered)

Format: email
subjectstring

Override the generated Re: subject

ip_idstring

Dedicated IP to send from (default — account default IP)

quote_historyboolean

Append the prior conversation as a nested quote

quote_timezonestring

IANA zone used for the On [date], [sender] wrote: attribution lines (default UTC)

scheduled_atstring

Schedule instead of sending now

Format: date-time
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. API key in the format sk_live_\<64 hex characters\>

Path Parameters

idstring
Required

MongoDB ObjectID

Example:
507f1f77bcf86cd799439011

Body

application/json
body_htmlstring

New content only — the quoted conversation is appended for you

tostring

Override recipient (default — Reply-To / From of the message being answered)

subjectstring

Override the generated Re: subject

ip_idstring

Dedicated IP to send from (default — account default IP)

quote_historyboolean

Append the prior conversation as a nested quote

quote_timezonestring

IANA zone used for the On [date], [sender] wrote: attribution lines (default UTC)

Example:
America/New_York
scheduled_atstring

Schedule instead of sending now

Responses